<script>
import * as helperFilters from '~/helpers/filters.js';

export default {
  name: `cbr-dashboard`,
  props: {
    title: { type: String, default: null },
    subtitle: { type: String, default: null },
    dragging: { type: Boolean, default: false },
    onDrop: { type: Function, default: null },
  },
  filters: {
    capitalize: helperFilters.capitalize,
  },
}
</script>

<template>
  <v-card>
    <v-row no-gutters align="center">
      <div>
        <v-card-title v-if="title !== null" class="text-h6">
          {{ title | capitalize }}
        </v-card-title>
        <v-card-subtitle v-if="subtitle !== null">{{ subtitle }}</v-card-subtitle>
      </div>
      <v-spacer />
      <div class="mr-4">
        <slot name="title-commands"></slot>
      </div>
    </v-row>
    <v-card-text class="pt-0 pb-2">
      <slot></slot>
      <div
        v-if="dragging"
        @drop="onDrop($event)"
        @dragover.prevent
        @dragenter.prevent
        class="cbr-dashboard__drop-root-level text--disabled"
      >
        Root level
      </div>
    </v-card-text>
  </v-card>
</template>

<style lang="scss" scoped>
.cbr-dashboard__drop-root-level {
  padding: 12px;
  border: 1px dashed currentColor;
  border-radius: var(--border-radius);
}
</style>
